﻿.loader-open {
    overflow: hidden;
}

.allianz-loader {
    position: absolute;
    left: 50%;
    top: 40%; /* should be 50, not working with animated element*/
    transform: translate(-50%, -50%); /* not working with animated element */
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

.allianz-loader-wrapper {
    position: absolute;
    height: 500%;
    z-index: 1051; /*1050 has bootstrap modal, has to be bigger*/
    width: 100%;
    top: 0;
    left: 0;
    background-color: gray;
    opacity: 0.7;
}

.allianz-loader-position-wrapper {
    position:relative;
    height: 100vh;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
